=== debian/changelog ===
ruby-libv8-node (18.19.1.0-0kali2) kali-dev; urgency=medium

  * Clean packaging

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 Feb 2025 13:46:49 +0100

ruby-libv8-node (18.19.1.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Feb 2025 16:13:28 +0100
