=== debian/control ===
Source: ruby-libv8-node
Section: ruby
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               ca-certificates,
               gem2deb (>= 1.6~),
	       python3,
	       python3-setuptools,
               rake,
	       wget
Standards-Version: 4.7.0
Vcs-Git: https://gitlab.com/kalilinux/packages/ruby-libv8-node.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/ruby-libv8-node
Homepage: https://github.com/rubyjs/libv8-node
Testsuite: autopkgtest-pkg-ruby
Rules-Requires-Root: no

Package: ruby-libv8-node
Architecture: amd64
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: Node.JS's V8 JavaScript engine
 Node.JS's V8 JavaScript engine for multiplatform goodness
