=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export GEM2DEB_TEST_RUNNER = --check-dependencies
export DH_RUBY = --gem-install
export RUBYVERSION = $(shell echo $$(ruby -v | cut -d ' ' -f 2 | cut -d '.' -f 1-2)'.0')
export DEB_VERSION_UPSTREAM


%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_strip:
#	do not run dh_strip, it fails with
#	strip: debian/ruby-libv8-node/usr/lib/x86_64-linux-gnu/rubygems-integration/3.3.0/gems/libv8-node-18.19.1.0/vendor/v8/x86_64-linux-gnu/libv8/obj/styTSJlg/./v8_initializers/gen/torque-generated/test/torque/test-torque-tq-csa.o: No such file or directory
